> For the complete documentation index, see [llms.txt](https://docs.ventiapp.mx/ventiapp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ventiapp.mx/ventiapp/desarrolladores/api/uso-de-token.md).

# Uso de token

## Uso del Header HTTP

En el post anterior se obtiene un Bearer Token posteriormente de autenticarse contra el endpoint de Login. Para hacer cualquier llamada se deberá agregar a los Header de la llamada REST el valor de Autorización. Se realiza de la siguiente manera

**Key header:** Authorization\
**Value header:** Bearer + token (sin comillas)

Ejemplo:

```
Authorization: Bearer V9e78myG5kPq_Kp8TAUhnJOnVvZEQ6rWS7IFbCD9dkxReYUSe_m1Sn5xjq2KF-XJhTIlQWvF9GIndhtDjx7WQr4CzYye1KLTNkJevRPNk2HR9cEULifFArxez8kA4evkRDke-4a3Gekdb_sDcQZXr6X1D4C7MeqyNAT0LjvqgLR-dFXdbNQrBkvIX_I6hsPzEAR0mjcxWRawVMfcq97vpPUAW42cZJD-AJbZdE9KVwUYgIhgO2M2IBZLrctLvl2xjx3OrQy9-Y_d---wUUDoWw
```

{% hint style="warning" %}
&#x20;Todos los endpoints de la API de Ventiapp requieren este header
{% endhint %}

Ejemplo en cURL:

```php
curl --header "Authorization: Bearer  V9e78myG5kPq_Kp8TAUhnJOnVvZEQ6rWS7IFbCD9dkxReYUSe_m4Sn5xjq2KF-XJhTIlQWvF9GIndhtDjx7WQr4CzYye1KLTNkJevRPNk2HR9cEULifFArxez8kA4evkRDke-4a3Gekdb_sDcQZXr6X1D4C7MeqyNAT0LjvqgLR-dFXdbNQrBkvIX_I6hsPzEAR0mjcxWRawVMfcq97vpPUAW42cZJD-AJbZdE9KVwUYgIhgO2M2IBZLrctLvl2xjx3OrQy9-Y_d---wUUDoWw"  https://ventiapi.azurewebsites.net/api/account/userdata
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ventiapp.mx/ventiapp/desarrolladores/api/uso-de-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
